Bug 498041 - Display is blanked after 1 minute when set to 'never' in power dialog
Summary: Display is blanked after 1 minute when set to 'never' in power dialog
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 498463 498505 498570 (view as bug list)
Depends On:
Blocks: F11Blocker, F11FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2009-04-28 15:48 UTC by Ralf Ertzinger
Modified: 2009-06-16 01:40 UTC (History)
18 users (show)

Fixed In Version: 2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-06 17:52:18 UTC
Type: ---


Attachments (Terms of Use)
gnome-power-manager --verbose (20.34 KB, text/plain)
2009-04-29 23:16 UTC, Luckis P
no flags Details

Description Ralf Ertzinger 2009-04-28 15:48:56 UTC
Description of problem:
When Power Management->Display->Put Display to sleep when inactive for is set to "never" the display is disabled after appoximately one minute.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.1-2.fc11

How reproducible:
Always

Steps to Reproduce:
1. set to "never"
2. wait for a minute
3.
  
Actual results:
display goes blank

Expected results:
no blanking

Additional info:
Setting this value to a 'real time' fixes this.

Comment 1 Electron 2009-04-28 18:11:48 UTC
I confirm, the problem appears with the gnome-power-manager-2.26.1-2.fc11
 version

Comment 2 Mike Chambers 2009-04-28 22:21:58 UTC
Seeing same problem as well here on 64bit.

Comment 3 Matthias Clasen 2009-04-29 16:32:05 UTC
Only on battery ? Or also on AC ?

Comment 4 Matthias Clasen 2009-04-29 16:40:27 UTC
I only see it on battery. Not a blocker though, moving to F11Target

Comment 5 Electron 2009-04-29 20:16:59 UTC
For me, on AC (desktop with CRT monitor).

Comment 6 Luckis P 2009-04-29 23:15:55 UTC
Almost same issue here though for me, gnome-power-manager puts screen to sleep after 1 - 2 minutes.
For me it doesn't do it on "Never" but even with "real time"!
I suggest we move it back to F11 blocker!
I attached a txt from running 
gnome-power-manager --verbose

Comment 7 Luckis P 2009-04-29 23:16:44 UTC
Created attachment 341848 [details]
gnome-power-manager --verbose

Comment 8 Luckis P 2009-04-29 23:38:46 UTC
Ok sorry my mistake, i thought it was set to 2hours but it turns out it was set to NEVER. I am too on AC and i too have gnome-power-manager-2.26.1-2.fc11

Comment 9 Adam Williamson 2009-05-01 15:31:23 UTC
*** Bug 498505 has been marked as a duplicate of this bug. ***

Comment 10 Adam Williamson 2009-05-01 15:31:48 UTC
happens to me too, on AC power on a desktop system.

Comment 11 Paul W. Frields 2009-05-01 16:11:30 UTC
And me, on AC power on a laptop.  IIRC, the bug's assignee is away right now, but should return next week some time.  If someone wants to come up with a patch in the meantime, super.

Comment 12 Remi Collet 2009-05-01 17:45:12 UTC
*** Bug 498570 has been marked as a duplicate of this bug. ***

Comment 13 Adam Williamson 2009-05-01 17:52:55 UTC
putting back to blocker, as mclasen says he doesn't mind. we shouldn't really release with a bug like this that many people will be affected by.

Comment 14 Kyle McMartin 2009-05-02 02:07:41 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1332274

Care to try this scratchbuild and see if it fixes the issue?

Patch is at:
http://kyle.fedorapeople.org/gnome-power-manager-mebbe-fix-blanking.diff

Comment 15 Adam Williamson 2009-05-02 05:30:23 UTC
Seems to be working here. I re-set the sliders to 'never', confirmed that it then goes black after a minute or so, replaced the package (you forgot to actually bump the revision counter, btw), killed gnome-power-manager, ran it from a console, re-ran gnome-power-preferences and checked the sliders were still at "never", closed g-p-p, waited a few minutes...no blackout.

I'll reboot now to confirm it still behaves properly from a clean boot.

Comment 16 Adam Williamson 2009-05-02 06:04:05 UTC
still looking good - rebooted and let it sit beyond the point it'd normally have blacked out, and it's fine.

I tend to leave my system turned on with the monitor switches turned off overnight, then in the morning I switch 'em on and the display is still there, so I'll know if that test passed by tomorrow morning. but looks good so far.

Comment 17 Remi Collet 2009-05-02 08:14:41 UTC
Also working for me.

Even if scratch build still in Release 2 (should be 3)

Comment 18 Richard Hughes 2009-05-06 15:39:02 UTC
Could somebody please test the packages here please: http://koji.fedoraproject.org/koji/taskinfo?taskID=1338633

If they work, I'll request a tag. Thanks.

Comment 19 Adam Williamson 2009-05-06 16:21:36 UTC
will do.

btw, I should note, I'm not testing any *other* cases. I'm not testing, for example, if power management actually works - setting it to time out after 10 minutes and see if it does. I'll try and do that too, but just to note it.

Comment 20 Richard Hughes 2009-05-06 16:37:07 UTC
Request for tag: https://fedorahosted.org/rel-eng/ticket/1744

Comment 21 Remi Collet 2009-05-06 17:11:48 UTC
Works for me.

Comment 22 Richard Hughes 2009-05-06 17:52:18 UTC
Tagged. Thanks guys.

Comment 23 Richard Hughes 2009-05-07 09:14:56 UTC
*** Bug 498463 has been marked as a duplicate of this bug. ***

Comment 24 Fedora Update System 2009-06-01 12:14:30 UTC
gnome-power-manager-2.26.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-power-manager-2.26.2-1.fc11

Comment 25 Fedora Update System 2009-06-16 01:40:07 UTC
gnome-power-manager-2.26.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.